RowSorter.SortKey (Java Platform SE 8 )
Keywords: javax.swing.RowSorter.SortKey class
Date: 2026-04-24

javax.swing

## Class RowSorter.SortKey

- java.lang.Object
- - javax.swing.RowSorter.SortKey

- Enclosing class:
    RowSorter<M>

      public static class RowSorter.SortKey
      extends Object

  SortKey describes the sort order for a particular column. The column index is in terms of the underlying model, which may differ from that of the view.
  Since:
    1.6

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortKey(int column, SortOrder sortOrder)` Creates a `SortKey` for the specified column with the specified sort order.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Returns true if this object equals the specified object.
    `int` | `getColumn()` Returns the index of the column.
    `SortOrder` | `getSortOrder()` Returns the sort order of the column.
    `int` | `hashCode()` Returns the hash code for this `SortKey`.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortKey

          public SortKey(int column,
                         SortOrder sortOrder)

      Creates a `SortKey` for the specified column with the specified sort order.
      Parameters:
        `column` - index of the column, in terms of the model
        `sortOrder` - the sorter order
      Throws:
        `IllegalArgumentException` - if `sortOrder` is `null`

  - ### Method Detail

    - #### getColumn

          public final int getColumn()

      Returns the index of the column.
      Returns:
        index of column

    - #### getSortOrder

          public final SortOrder getSortOrder()

      Returns the sort order of the column.
      Returns:
        the sort order of the column

    - #### hashCode

          public int hashCode()

      Returns the hash code for this `SortKey`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hash code
      See Also:
        `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

    - #### equals

          public boolean equals(Object o)

      Returns true if this object equals the specified object. If the specified object is a `SortKey` and references the same column and sort order, the two objects are equal.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `o` - the object to compare to
      Returns:
        true if `o` is equal to this `SortKey`
      See Also:
        `Object.hashCode()`, `HashMap`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.